# SDL Visual Test: C:/Users/DELL/Work/sdlvisualtest/visualtest/src/variator_exhaustive.c File Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
variator_exhaustive.c File Reference
`#include <time.h>`
`#include <SDL_test.h>`
`#include "SDL_visualtest_sut_configparser.h"`
`#include "SDL_visualtest_exhaustive_variator.h"`

## Functions

int | SDLVisualTest_InitExhaustiveVariator (SDLVisualTest_ExhaustiveVariator *variator, SDLVisualTest_SUTConfig *config)
char * | SDLVisualTest_GetNextExhaustiveVariation (SDLVisualTest_ExhaustiveVariator *variator)
void | SDLVisualTest_FreeExhaustiveVariator (SDLVisualTest_ExhaustiveVariator *variator)

## Detailed Description

Source file for the variator that tests the SUT with all the different variations of input parameters that are valid.

## Function Documentation

void SDLVisualTest_FreeExhaustiveVariator | ( | SDLVisualTest_ExhaustiveVariator * | variator) |  |

Frees any resources associated with the variator.

char* SDLVisualTest_GetNextExhaustiveVariation | ( | SDLVisualTest_ExhaustiveVariator * | variator) |  |

Gets the arguments string for the next variation using the variator and updates the variator's current variation object to the next variation.

Returns
  The arguments string representing the next variation on success, and NULL on failure or if we have iterated through all possible variations. In the latter case subsequent calls will start the variations again from the very beginning. The pointer returned should not be freed.

int SDLVisualTest_InitExhaustiveVariator | ( | SDLVisualTest_ExhaustiveVariator * | variator,
|  | SDLVisualTest_SUTConfig * | config
| ) |  |

Initializes the variator.

Returns
  1 on success, 0 on failure